"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];
var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard")["default"];
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Toolbar = void 0;
var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _react = _interopRequireWildcard(require("react"));
var _CodePreview = require("./CodePreview");
var _Copied = require("./Copied");
var _icons = require("./icons");
var _store = require("./store");
var _jsxRuntime = require("react/jsx-runtime");
var _excluded = ["className", "children", "extra", "text", "copied", "collapse", "visibleButton", "visible"];
var Toolbar = /*#__PURE__*/_react["default"].forwardRef(function (props, ref) {
  var className = props.className,
    children = props.children,
    extra = props.extra,
    _props$text = props.text,
    text = _props$text === void 0 ? '' : _props$text,
    _props$copied = props.copied,
    copied = _props$copied === void 0 ? true : _props$copied,
    _props$collapse = props.collapse,
    collapse = _props$collapse === void 0 ? true : _props$collapse,
    _props$visibleButton = props.visibleButton,
    visibleButton = _props$visibleButton === void 0 ? true : _props$visibleButton,
    _props$visible = props.visible,
    visible = _props$visible === void 0 ? true : _props$visible,
    htmlProps = (0, _objectWithoutProperties2["default"])(props, _excluded);
  var store = (0, _react.useContext)(_store.Context);
  var cls = ["".concat(_CodePreview.CODE_PREVIEW_PREFIX, "-toolbar"), className].filter(Boolean).join(' ').trim();
  (0, _react.useEffect)(function () {
    return store.dispatch({
      collapse: collapse
    });
  }, [collapse]);
  if (!visible) {
    return null;
  }
  var handleClick = function handleClick() {
    return store.dispatch({
      collapse: !store.collapse
    });
  };
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", (0, _objectSpread2["default"])((0, _objectSpread2["default"])({
    className: cls
  }, htmlProps), {}, {
    ref: ref,
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
      className: "".concat(_CodePreview.CODE_PREVIEW_PREFIX, "-title"),
      children: children
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
      className: "".concat(_CodePreview.CODE_PREVIEW_PREFIX, "-extra"),
      children: [extra, copied && /*#__PURE__*/(0, _jsxRuntime.jsx)(_Copied.Copied, {
        text: text
      }), visibleButton && /*#__PURE__*/(0, _jsxRuntime.jsx)("button", {
        onClick: handleClick,
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_icons.ExpandIcon, {})
      })]
    })]
  }));
});
exports.Toolbar = Toolbar;
Toolbar.displayName = 'uiw.Toolbar';